org.eclipse.aether.util.artifact

## Class DefaultArtifactTypeRegistry

- java.lang.Object
- - org.eclipse.aether.util.artifact.DefaultArtifactTypeRegistry

- All Implemented Interfaces:
    ArtifactTypeRegistry

      public final class DefaultArtifactTypeRegistry
      extends Object

  A simple artifact type registry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultArtifactTypeRegistry()` Creates a new artifact type registry with initally no registered artifact types.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultArtifactTypeRegistry` | `add(ArtifactType type)` Adds the specified artifact type to the registry.
    `ArtifactType` | `get(String typeId)` Gets the artifact type with the specified identifier.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultArtifactTypeRegistry

          public DefaultArtifactTypeRegistry()

      Creates a new artifact type registry with initally no registered artifact types. Use `add(ArtifactType)` to populate the registry.

  - ### Method Detail

    - #### add

          public DefaultArtifactTypeRegistry add(ArtifactType type)

      Adds the specified artifact type to the registry.
      Parameters:
        `type` - The artifact type to add, must not be `null`.
      Returns:
        This registry for chaining, never `null`.

    - #### get

          public ArtifactType get(String typeId)

      Description copied from interface: `ArtifactTypeRegistry`
      Gets the artifact type with the specified identifier.
      Specified by:
        `get` in interface `ArtifactTypeRegistry`
      Parameters:
        `typeId` - The identifier of the type, must not be `null`.
      Returns:
        The artifact type or `null` if no type with the requested identifier exists.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.